# std::char_traits< _CharT > Struct Template Reference

Basis for explicit traits specializations. More...

`#include <char_traits.h>`

List of all members.

## Detailed Description

### template<class _CharT>
struct std::char_traits< _CharT >

Basis for explicit traits specializations.

Note:
  For any given actual character type, this definition is probably wrong.

See http://gcc.gnu.org/onlinedocs/libstdc++/21_strings/howto.html#5 for advice on how to make use of this class for "unusual" character types.

Definition at line 62 of file char_traits.h.

The documentation for this struct was generated from the following file:

- char_traits.h